### Method

# Atspi Hypertext get_link_index

#### Declaration [src]

    gint
    atspi_hypertext_get_link_index (
      AtspiHypertext* obj,
      gint character_offset,
      GError** error
    )

#### Description [src]

Gets the index of the `AtspiHyperlink` object at a specified character offset.

#### Parameters

`character_offset`

  Type: `gint`

  A #gint specifying the character offset to query.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The linkIndex of the `AtspiHyperlink` active at character offset `character_offset`, or -1 if there is no hyperlink at the specified character offset.